package com.xzzn.ems.domain;

import com.xzzn.common.core.domain.BaseEntity;

/**
 * 单站监控字段点位映射对象 ems_site_monitor_point_match
 */
public class EmsSiteMonitorPointMatch extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;
    private String siteId;
    private String fieldCode;
    private String deviceId;
    private String dataPoint;
    private String fixedDataPoint;
    private Integer useFixedDisplay;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public String getDataPoint() {
        return dataPoint;
    }

    public void setDataPoint(String dataPoint) {
        this.dataPoint = dataPoint;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getFixedDataPoint() {
        return fixedDataPoint;
    }

    public void setFixedDataPoint(String fixedDataPoint) {
        this.fixedDataPoint = fixedDataPoint;
    }

    public Integer getUseFixedDisplay() {
        return useFixedDisplay;
    }

    public void setUseFixedDisplay(Integer useFixedDisplay) {
        this.useFixedDisplay = useFixedDisplay;
    }
}
